Subject: Re: bug#10324: [Platform-testers] Automake 1.11.1b test release

From: Stefano Lattarini <[email-masked]>
Date: Tue, 20 Dec 2011 21:35:34 +0100

On 12/20/2011 09:31 PM, Peter Rosin wrote:
> Stefano Lattarini skrev 2011-12-19 18:18:
>> Hi Peter.
>>
>> On 12/19/2011 06:51 AM, Peter Rosin wrote:
>>> Bruno Haible skrev 2011-12-19 03:11:
>>>
>>> *snip*
>>>
>>>> * Cygwin 1.7.9
>>>>
>>>> 19 of 808 tests failed
>>>>
>>>> FAIL: distcheck-override-infodir.test
>>>> FAIL: fort4.test
>>>> FAIL: gettext.test
>>>> FAIL: instdir-texi.test
>>>> FAIL: parallel-am.test
>>>> FAIL: txinfo3.test
>>>> FAIL: txinfo13.test
>>>> FAIL: txinfo16.test
>>>> FAIL: txinfo18.test
>>>> FAIL: txinfo21.test
>>>> FAIL: txinfo22.test
>>>> FAIL: txinfo23.test
>>>> FAIL: txinfo24.test
>>>> FAIL: txinfo25.test
>>>> FAIL: txinfo28.test
>>>> FAIL: txinfo33.test
>>>> FAIL: transform2.test
>>>> FAIL: version7.test
>>>> FAIL: vtexi4.test
>>>>
>>>> Is the attached log file enough for you to investigate? You have access to
>>>> the machine.
>>> You need this:
>>> http://cygwin.com/ml/cygwin/2011-11/msg00393.html
>>>
>> Since this error has come up few times already, do you know if there is a simple
>> way for our tests to detect this Cygwin-specific TeX breakage, and so get skipped
>> instead of failing spuriously?
> 
> No, I don't, not off the top of my head.  But I suppose one could extend
> the test during configure and check if TeX actually works.
> 
> But, I have never written any TeX input from scratch and don't really
> know how to trigger the problem. So, I expect this will take me quite
> a bit of digging to work around. And I'm not really keen on it when
> it's seems so annoyingly easy for Cygwin to fix the real problem
> instead and be done with it.
> 
> Cheers,
> Peter
>
OK, then I say we'll attempt a workaround only after 1.11.2, and only if we receive
"enough" bug reports about these spurious failures to make a workaround worthwhile.

Thanks,
  Stefano